AbstractFunction (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.functions

## Class AbstractFunction

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction

- All Implemented Interfaces:
    Function
  Direct Known Subclasses:
    TokenFct

      public abstract class AbstractFunction
      extends java.lang.Object
      implements Function

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.functions.Function

      `Function.Factory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<AbstractType<?>>` | `argsType`
    `java.lang.String` | `name`
    `AbstractType<?>` | `returnType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractFunction(java.lang.String name, AbstractType<?> returnType, AbstractType<?>... argsType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AbstractType<?>>` | `argsType()`
    `static Function.Factory` | `factory(Function fun)` Creates a trivial factory that always return the provided function.
    `boolean` | `isPure()`
    `java.lang.String` | `name()`
    `AbstractType<?>` | `returnType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `execute`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### argsType

          public final java.util.List<AbstractType<?>> argsType

    - #### returnType

          public final AbstractType<?> returnType

  - ### Constructor Detail

    - #### AbstractFunction

          protected AbstractFunction(java.lang.String name,
                          AbstractType<?> returnType,
                          AbstractType<?>... argsType)

  - ### Method Detail

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `Function`

    - #### argsType

          public java.util.List<AbstractType<?>> argsType()

      Specified by:
        `argsType` in interface `Function`

    - #### returnType

          public AbstractType<?> returnType()

      Specified by:
        `returnType` in interface `Function`

    - #### isPure

          public boolean isPure()

      Specified by:
        `isPure` in interface `Function`

    - #### factory

          public static Function.Factory factory(Function fun)

      Creates a trivial factory that always return the provided function.

Copyright © 2014 The Apache Software Foundation